Cancel Order
curl --request DELETE \
--url https://api.paxos.com/v2/profiles/{profile_id}/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/profiles/{profile_id}/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/profiles/{profile_id}/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "order is not in cancellable state"
}Orders
Cancel Order
Submits a cancellation request. A response indicates that the request has been acknowledged and provides no guarantee the order has been cancelled.
DELETE
/
profiles
/
{profile_id}
/
orders
/
{id}
Cancel Order
OAuth Scope
exchange:write_order
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
The profile ID associated with the order.
The UUID of the Order.
Response
A successful response.
The response is of type object.
Was this page helpful?
⌘I